Subject: strange watch ?

From: [email-masked] (Andre' D. Milota)
Date: Fri, 31 Dec 1993 20:52:04 GMT

pleas excuse me if Im posting to the wrong board 
but this seemed the be the most relevant one I could find

Im looking for a watch that
has a simple mere image face 
runs backwards
and does not cost more then $50.00

I have seen 3 that run backwards for about $30.00
one has a carton of the precedent on it and the outher 2 have goofy 
a jeweler estimated that a new face would cost $70.00 

I have also herd of clocks called barber shop clocks that meet my specks 
but are too big to weir as watches 

anay one know of a source ?

thanks